package seqdb;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class SeqInfoPOATie
	extends SeqInfoPOA
{
	private SeqInfoOperations _delegate;

	private POA _poa;
	public SeqInfoPOATie(SeqInfoOperations delegate)
	{
		_delegate = delegate;
	}
	public SeqInfoPOATie(SeqInfoOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public seqdb.SeqInfo _this()
	{
		return seqdb.SeqInfoHelper.narrow(_this_object());
	}
	public seqdb.SeqInfo _this(org.omg.CORBA.ORB orb)
	{
		return seqdb.SeqInfoHelper.narrow(_this_object(orb));
	}
	public SeqInfoOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(SeqInfoOperations delegate)
	{
		_delegate = delegate;
	}
	public type.DbXref[] getReferences() throws type.NoResult
	{
		return _delegate.getReferences();
	}

	public java.lang.String[] getKeywords() throws type.NoResult
	{
		return _delegate.getKeywords();
	}

	public type.DbXref[] getDbXrefs() throws type.NoResult
	{
		return _delegate.getDbXrefs();
	}

	public java.lang.String getDescription() throws type.NoResult
	{
		return _delegate.getDescription();
	}

	public java.lang.String[] getComments() throws type.NoResult
	{
		return _delegate.getComments();
	}

}
